@echo off
if "%PROCESSOR_ARCHITECTURE%" == "x86" goto intel
if "%PROCESSOR_ARCHITECTURE%" == "X86" goto intel
if "%PROCESSOR_ARCHITECTURE%" == "ALPHA" goto alpha
if "%PROCESSOR_ARCHITECTURE%" == "MIPS" goto mips
if "%PROCESSOR%" == "INTEL_486" goto intel
if "%PROCESSOR%" == "Alpha_AXP" goto alpha
if "%PROCESSOR%" == "MIPS_R4000" goto mips
if "%CPU%" == "i386" goto intel
if "%CPU%" == "Alpha" goto alpha
if "%CPU%" == "MIPS" goto mips

@echo Your hardware type could not be determined --
@echo defaulting to INTEL.  If this fails,
@echo run SDKSETUP from the directory that corresponds
@echo to your hardware type:
@echo     dxsdk\bin\alpha\sdksetup.exe
@echo     dxsdk\bin\x86\sdksetup.exe (Intel)
@echo     dxsdk\bin\mips\sdksetup.exe
pause
rem ... and just drop into intel as the default

:intel
echo Starting DXSDK\BIN\X86\SDKSETUP.EXE ...
cd dxsdk\bin\x86
if not exist SDKSETUP.EXE goto notfound
start sdksetup
goto done

:alpha
echo Starting DXSDK\BIN\ALPHA\SDKSETUP.EXE ...
cd dxsdk\bin\alpha
if not exist SDKSETUP.EXE goto notfound
start sdksetup
goto done

:mips
echo Starting DXSDK\BIN\MIPS\SDKSETUP.EXE ...
cd dxsdk\bin\mips
if not exist SDKSETUP.EXE goto notfound
start sdksetup
goto done

:notfound
echo Please rerun the SETUP command from the Windows NT Program Manager File/Run menu
pause

:done
